import time
from datetime import datetime

from pydantic import BaseModel


# 报表分组模板
class InsertModes(BaseModel):
    mode_name: str  # 模版名称
    hr_name: str  # 模板所属hr名字
    hr_uid: str  # 模板所属hr的uid
    mode_list: list = ['招聘职位', '流程中的申请', '完成招聘职位', '归档的申请', '招聘漏斗', '性别分布', '渠道质量',
                       '年龄分布', '招聘网站质量', '职位投录比']  # 分组包含的基础分析报表
    mode_time: datetime = datetime.now()  # 修改时间


# 查询分组
class FindModes(BaseModel):
    hr_uid: str  # 模板所属hr的uid
    where: dict = {}  # 其他条件


# 更新分组
class UpdateModes(BaseModel):
    hr_uid: str  # 模板所属hr的uid
    update_data: dict  # 更新的数据
